Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatNotificationSettings

Enclosing class:
  TdApi

public static final class TdApi.ChatNotificationSettings extends TdApi.Object
Contains information about notification settings for a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`disableMentionNotifications`
If true, notifications for messages with mentions will be created as for an ordinary unread message.
`boolean`
`disablePinnedMessageNotifications`
If true, notifications for incoming pinned messages will be created as for an ordinary unread message.
`int`
`muteFor`
Time left before notifications will be unmuted, in seconds.
`boolean`
`showPreview`
True, if message content must be displayed in notifications.
`String`
`sound`
The name of an audio file to be used for notification sounds; only applies to iOS applications.
`boolean`
`useDefaultDisableMentionNotifications`
If true, disableMentionNotifications is ignored and the value for the relevant type of chat is used instead.
`boolean`
`useDefaultDisablePinnedMessageNotifications`
If true, disablePinnedMessageNotifications is ignored and the value for the relevant type of chat is used instead.
`boolean`
`useDefaultMuteFor`
If true, muteFor is ignored and the value for the relevant type of chat is used instead.
`boolean`
`useDefaultShowPreview`
If true, showPreview is ignored and the value for the relevant type of chat is used instead.
`boolean`
`useDefaultSound`
If true, sound is ignored and the value for the relevant type of chat is used instead.

## Constructor Summary

Constructors
Constructor
Description
`ChatNotificationSettings()`
Contains information about notification settings for a chat.
`ChatNotificationSettings(boolean useDefaultMuteFor, int muteFor, boolean useDefaultSound, String sound, boolean useDefaultShowPreview, boolean showPreview, boolean useDefaultDisablePinnedMessageNotifications, boolean disablePinnedMessageNotifications, boolean useDefaultDisableMentionNotifications, boolean disableMentionNotifications)`
Contains information about notification settings for a chat.
`ChatNotificationSettings(DataInput input)`
Contains information about notification settings for a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### useDefaultMuteFor

public boolean useDefaultMuteFor
If true, muteFor is ignored and the value for the relevant type of chat is used instead.

### muteFor

public int muteFor
Time left before notifications will be unmuted, in seconds.

### useDefaultSound

public boolean useDefaultSound
If true, sound is ignored and the value for the relevant type of chat is used instead.

### sound

public String sound
The name of an audio file to be used for notification sounds; only applies to iOS applications.

### useDefaultShowPreview

public boolean useDefaultShowPreview
If true, showPreview is ignored and the value for the relevant type of chat is used instead.

### showPreview

public boolean showPreview
True, if message content must be displayed in notifications.

### useDefaultDisablePinnedMessageNotifications

public boolean useDefaultDisablePinnedMessageNotifications
If true, disablePinnedMessageNotifications is ignored and the value for the relevant type of chat is used instead.

### disablePinnedMessageNotifications

public boolean disablePinnedMessageNotifications
If true, notifications for incoming pinned messages will be created as for an ordinary unread message.

### useDefaultDisableMentionNotifications

public boolean useDefaultDisableMentionNotifications
If true, disableMentionNotifications is ignored and the value for the relevant type of chat is used instead.

### disableMentionNotifications

public boolean disableMentionNotifications
If true, notifications for messages with mentions will be created as for an ordinary unread message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatNotificationSettings

public ChatNotificationSettings()
Contains information about notification settings for a chat.

### ChatNotificationSettings

public ChatNotificationSettings(boolean useDefaultMuteFor, int muteFor, boolean useDefaultSound, String sound, boolean useDefaultShowPreview, boolean showPreview, boolean useDefaultDisablePinnedMessageNotifications, boolean disablePinnedMessageNotifications, boolean useDefaultDisableMentionNotifications, boolean disableMentionNotifications)
Contains information about notification settings for a chat.

Parameters:
  `useDefaultMuteFor` - boolean If true, muteFor is ignored and the value for the relevant type of chat is used instead.
  `muteFor` - int Time left before notifications will be unmuted, in seconds.
  `useDefaultSound` - boolean If true, sound is ignored and the value for the relevant type of chat is used instead.
  `sound` - String The name of an audio file to be used for notification sounds; only applies to iOS applications.
  `useDefaultShowPreview` - boolean If true, showPreview is ignored and the value for the relevant type of chat is used instead.
  `showPreview` - boolean True, if message content must be displayed in notifications.
  `useDefaultDisablePinnedMessageNotifications` - boolean If true, disablePinnedMessageNotifications is ignored and the value for the relevant type of chat is used instead.
  `disablePinnedMessageNotifications` - boolean If true, notifications for incoming pinned messages will be created as for an ordinary unread message.
  `useDefaultDisableMentionNotifications` - boolean If true, disableMentionNotifications is ignored and the value for the relevant type of chat is used instead.
  `disableMentionNotifications` - boolean If true, notifications for messages with mentions will be created as for an ordinary unread message.

### ChatNotificationSettings

public ChatNotificationSettings(DataInput input) throws IOException
Contains information about notification settings for a chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`